summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/linhes-scripts/screenshooter.sh
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2009-08-20 05:46:40 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2009-08-20 05:46:40 (GMT)
commit3fcea1a1e31fee1191148606d537b624a122f21b (patch)
treec1b78ffc4b7628534fc1c75d4facc37ea7335ef0 /abs/core-testing/linhes-scripts/screenshooter.sh
parent9a60dd7921db1ab7a168da96329bad3e9c24725e (diff)
downloadlinhes_pkgbuild-3fcea1a1e31fee1191148606d537b624a122f21b.zip
linhes_pkgbuild-3fcea1a1e31fee1191148606d537b624a122f21b.tar.gz
linhes_pkgbuild-3fcea1a1e31fee1191148606d537b624a122f21b.tar.bz2
LinHES-scripts:Updated screenshoot.sh to account for multiple dirs.
Diffstat (limited to 'abs/core-testing/linhes-scripts/screenshooter.sh')
-rwxr-xr-xabs/core-testing/linhes-scripts/screenshooter.sh15
1 files changed, 10 insertions, 5 deletions
diff --git a/abs/core-testing/linhes-scripts/screenshooter.sh b/abs/core-testing/linhes-scripts/screenshooter.sh
index 9e35786..94ea6fd 100755
--- a/abs/core-testing/linhes-scripts/screenshooter.sh
+++ b/abs/core-testing/linhes-scripts/screenshooter.sh
@@ -87,11 +87,16 @@ if [ ! -d "$VIDEO_CAPTURE_HOME" ] ; then
fi
VIDEO_HOME=$(mysql -u $DBUSERNAME --password=$DBPASSWORD -h $BACKEND_HOSTNAME mythconverg -sNBe "select data from settings where value='VideoStartupDir' limit 1")
-if [ ! -d "$VIDEO_HOME" ] ; then
- echo "Directory $VIDEO_HOME does not exist, nowhere to put the screen shot!"
- echo "Have you configured MythVideo yet?"
- exit 1
-fi
+VIDEO_HOME=(${VIDEO_HOME//:/ });
+VIDEO_HOME_COUNT=${#VIDEO_HOME[@]}
+for (( i=0; i<${VIDEO_HOME_COUNT}; i++ ));
+do
+ if [ ! -d "${VIDEO_HOME[${i}]}" ] ; then
+ echo "Directory ${VIDEO_HOME[${i}]} does not exist, nowhere to put the screen shot!"
+ echo "Have you configured MythVideo yet?"
+ exit 1
+ fi
+done
VIDEO_FILENAME=$(basename "$VIDEO_PATHNAME")
VIDEO_EXTENSION=${VIDEO_FILENAME##*.}